## pg-failover-slots 1.0.0

=== debian/changelog ===
pg-failover-slots (1.0.0-2) unstable; urgency=medium

  * Fix segfault on PostgreSQL 13 and older

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 27 Apr 2023 10:40:34 +0000

pg-failover-slots (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1034667)

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 23 Apr 2023 16:17:37 +0000

## pg-failover-slots 1.0.1

=== Makefile ===
MODULE_big = pg_failover_slots
OBJS = pg_failover_slots.o

PG_CPPFLAGS += -I $(libpq_srcdir)
SHLIB_LINK += $(libpq)

TAP_TESTS = 1

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

prove_installcheck: $(pgxsdir)/src/test/perl/$(core_perl_module)
	rm -rf $(CURDIR)/tmp_check
	mkdir -p $(CURDIR)/tmp_check &&\
		PERL5LIB="$${PERL5LIB}:$(srcdir)/t:$(pgxsdir)/src/test/perl" \
		PG_VERSION_NUM='$(VERSION_NUM)' \
		TESTDIR='$(CURDIR)' \
		SRCDIR='$(srcdir)' \
		PATH="$(TEST_PATH_PREFIX):$(PATH)" \
		PGPORT='6$(DEF_PGPORT)' \
		top_builddir='$(CURDIR)/tmp_check' \
		PG_REGRESS='$(pgxsdir)/src/test/regress/pg_regress' \
		PGCTLTIMEOUT=180 \
		$(PROVE) $(PG_PROVE_FLAGS) $(PROVE_FLAGS) \
		$(addprefix $(srcdir)/,$(or $(PROVE_TESTS),t/*.pl))

check_prove: prove_installcheck

=== debian/changelog ===
pg-failover-slots (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 19:09:07 +0200

pg-failover-slots (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Removed debian/patches/; All the patches have been applied upstream

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 07 Jun 2023 16:32:28 +0000

=== debian/control ===
Source: pg-failover-slots
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
 libkrb5-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pg-failover-slots
Vcs-Git: https://salsa.debian.org/postgresql/pg-failover-slots.git
Homepage: https://github.com/EnterpriseDB/pg_failover_slots/

Package: postgresql-16-pg-failover-slots
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: High-availability support for PostgreSQL logical replication
 This extension is for anyone with Logical Replication Slots on
 Postgres databases that are also part of a Physical Streaming
 Replication architecture.
 .
 Since logical replication slots are only maintained on the primary
 node, downstream subscribers don't receive any new changes from a
 newly promoted primary until the slot is created, which is unsafe
 because the information that includes which data a subscriber has
 confirmed receiving and which log data still needs to be retained for
 the subscriber will have been lost, resulting in an unknown gap in
 data changes. PG Failover Slots makes logical replication slots
 usable across a physical failover using the following features:
 .
  - Copies any missing replication slots from the primary to the
    standby
  - Removes any slots from the standby that aren't found on the primary
  - Periodically synchronizes the position of slots on the standby
    based on the primary
  - Ensures that selected standbys receive data before any of the
    logical slot walsenders can send data to consumers

## pg-failover-slots 1.1.0

=== debian/changelog ===
pg-failover-slots (1.1.0-2.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 13 Sep 2024 18:15:01 +0200

pg-failover-slots (1.1.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 18:15:01 +0200

pg-failover-slots (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Aug 2024 15:32:44 +0200

=== debian/control ===
Source: pg-failover-slots
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Marco Nenciarini <mnencia@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libkrb5-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pg-failover-slots
Vcs-Git: https://salsa.debian.org/postgresql/pg-failover-slots.git
Homepage: https://github.com/EnterpriseDB/pg_failover_slots/

Package: postgresql-11-pg-failover-slots
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: High-availability support for PostgreSQL logical replication
 This extension is for anyone with Logical Replication Slots on
 Postgres databases that are also part of a Physical Streaming
 Replication architecture.
 .
 Since logical replication slots are only maintained on the primary
 node, downstream subscribers don't receive any new changes from a
 newly promoted primary until the slot is created, which is unsafe
 because the information that includes which data a subscriber has
 confirmed receiving and which log data still needs to be retained for
 the subscriber will have been lost, resulting in an unknown gap in
 data changes. PG Failover Slots makes logical replication slots
 usable across a physical failover using the following features:
 .
  - Copies any missing replication slots from the primary to the
    standby
  - Removes any slots from the standby that aren't found on the primary
  - Periodically synchronizes the position of slots on the standby
    based on the primary
  - Ensures that selected standbys receive data before any of the
    logical slot walsenders can send data to consumers

Package: postgresql-12-pg-failover-slots
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: High-availability support for PostgreSQL logical replication
 This extension is for anyone with Logical Replication Slots on
 Postgres databases that are also part of a Physical Streaming
 Replication architecture.
 .
 Since logical replication slots are only maintained on the primary
 node, downstream subscribers don't receive any new changes from a
 newly promoted primary until the slot is created, which is unsafe
 because the information that includes which data a subscriber has
 confirmed receiving and which log data still needs to be retained for
 the subscriber will have been lost, resulting in an unknown gap in
 data changes. PG Failover Slots makes logical replication slots
 usable across a physical failover using the following features:
 .
  - Copies any missing replication slots from the primary to the
    standby
  - Removes any slots from the standby that aren't found on the primary
  - Periodically synchronizes the position of slots on the standby
    based on the primary
  - Ensures that selected standbys receive data before any of the
    logical slot walsenders can send data to consumers

Package: postgresql-13-pg-failover-slots
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: High-availability support for PostgreSQL logical replication
 This extension is for anyone with Logical Replication Slots on
 Postgres databases that are also part of a Physical Streaming
 Replication architecture.
 .
 Since logical replication slots are only maintained on the primary
 node, downstream subscribers don't receive any new changes from a
 newly promoted primary until the slot is created, which is unsafe
 because the information that includes which data a subscriber has
 confirmed receiving and which log data still needs to be retained for
 the subscriber will have been lost, resulting in an unknown gap in
 data changes. PG Failover Slots makes logical replication slots
 usable across a physical failover using the following features:
 .
  - Copies any missing replication slots from the primary to the
    standby
  - Removes any slots from the standby that aren't found on the primary
  - Periodically synchronizes the position of slots on the standby
    based on the primary
  - Ensures that selected standbys receive data before any of the
    logical slot walsenders can send data to consumers

Package: postgresql-14-pg-failover-slots
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: High-availability support for PostgreSQL logical replication
 This extension is for anyone with Logical Replication Slots on
 Postgres databases that are also part of a Physical Streaming
 Replication architecture.
 .
 Since logical replication slots are only maintained on the primary
 node, downstream subscribers don't receive any new changes from a
 newly promoted primary until the slot is created, which is unsafe
 because the information that includes which data a subscriber has
 confirmed receiving and which log data still needs to be retained for
 the subscriber will have been lost, resulting in an unknown gap in
 data changes. PG Failover Slots makes logical replication slots
 usable across a physical failover using the following features:
 .
  - Copies any missing replication slots from the primary to the
    standby
  - Removes any slots from the standby that aren't found on the primary
  - Periodically synchronizes the position of slots on the standby
    based on the primary
  - Ensures that selected standbys receive data before any of the
    logical slot walsenders can send data to consumers

Package: postgresql-15-pg-failover-slots
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: High-availability support for PostgreSQL logical replication
 This extension is for anyone with Logical Replication Slots on
 Postgres databases that are also part of a Physical Streaming
 Replication architecture.
 .
 Since logical replication slots are only maintained on the primary
 node, downstream subscribers don't receive any new changes from a
 newly promoted primary until the slot is created, which is unsafe
 because the information that includes which data a subscriber has
 confirmed receiving and which log data still needs to be retained for
 the subscriber will have been lost, resulting in an unknown gap in
 data changes. PG Failover Slots makes logical replication slots
 usable across a physical failover using the following features:
 .
  - Copies any missing replication slots from the primary to the
    standby
  - Removes any slots from the standby that aren't found on the primary
  - Periodically synchronizes the position of slots on the standby
    based on the primary
  - Ensures that selected standbys receive data before any of the
    logical slot walsenders can send data to consumers

Package: postgresql-16-pg-failover-slots
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: High-availability support for PostgreSQL logical replication
 This extension is for anyone with Logical Replication Slots on
 Postgres databases that are also part of a Physical Streaming
 Replication architecture.
 .
 Since logical replication slots are only maintained on the primary
 node, downstream subscribers don't receive any new changes from a
 newly promoted primary until the slot is created, which is unsafe
 because the information that includes which data a subscriber has
 confirmed receiving and which log data still needs to be retained for
 the subscriber will have been lost, resulting in an unknown gap in
 data changes. PG Failover Slots makes logical replication slots
 usable across a physical failover using the following features:
 .
  - Copies any missing replication slots from the primary to the
    standby
  - Removes any slots from the standby that aren't found on the primary
  - Periodically synchronizes the position of slots on the standby
    based on the primary
  - Ensures that selected standbys receive data before any of the
    logical slot walsenders can send data to consumers

Package: postgresql-17-pg-failover-slots
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: High-availability support for PostgreSQL logical replication
 This extension is for anyone with Logical Replication Slots on
 Postgres databases that are also part of a Physical Streaming
 Replication architecture.
 .
 Since logical replication slots are only maintained on the primary
 node, downstream subscribers don't receive any new changes from a
 newly promoted primary until the slot is created, which is unsafe
 because the information that includes which data a subscriber has
 confirmed receiving and which log data still needs to be retained for
 the subscriber will have been lost, resulting in an unknown gap in
 data changes. PG Failover Slots makes logical replication slots
 usable across a physical failover using the following features:
 .
  - Copies any missing replication slots from the primary to the
    standby
  - Removes any slots from the standby that aren't found on the primary
  - Periodically synchronizes the position of slots on the standby
    based on the primary
  - Ensures that selected standbys receive data before any of the
    logical slot walsenders can send data to consumers

## pg-failover-slots 1.2.0

=== Makefile ===
MODULE_big = pg_failover_slots
OBJS = pg_failover_slots.o

PG_CPPFLAGS += -I $(libpq_srcdir)
SHLIB_LINK += $(libpq)

TAP_TESTS = 1

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

export PGCTLTIMEOUT = 180

=== debian/changelog ===
pg-failover-slots (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0.
  * Upload for PostgreSQL 18.
  * Bump standards version to 4.7.2.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 25 Sep 2025 16:22:17 +0200

=== debian/control ===
Source: pg-failover-slots
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Marco Nenciarini <mnencia@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libkrb5-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pg-failover-slots
Vcs-Git: https://salsa.debian.org/postgresql/pg-failover-slots.git
Homepage: https://github.com/EnterpriseDB/pg_failover_slots/

Package: postgresql-18-pg-failover-slots
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: High-availability support for PostgreSQL logical replication
 This extension is for anyone with Logical Replication Slots on
 Postgres databases that are also part of a Physical Streaming
 Replication architecture.
 .
 Since logical replication slots are only maintained on the primary
 node, downstream subscribers don't receive any new changes from a
 newly promoted primary until the slot is created, which is unsafe
 because the information that includes which data a subscriber has
 confirmed receiving and which log data still needs to be retained for
 the subscriber will have been lost, resulting in an unknown gap in
 data changes. PG Failover Slots makes logical replication slots
 usable across a physical failover using the following features:
 .
  - Copies any missing replication slots from the primary to the
    standby
  - Removes any slots from the standby that aren't found on the primary
  - Periodically synchronizes the position of slots on the standby
    based on the primary
  - Ensures that selected standbys receive data before any of the
    logical slot walsenders can send data to consumers

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# defer testing to autopkgtest

%:
	dh $@ --with pgxs

=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, make
Tests: prove
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/EnterpriseDB/pg_failover_slots/tags .*/v(.*).tar.gz
